    Set the RNG generator.

set_rng(rng)
rng - numpy.random.Generator, numpy.random.RandomState, or None

PARAMETERS

The parameter for this function is:

Parameter
Definition
rng
Determines how random numbers are created. If set to None then the routines in `numpy.random` are used, and so can be controlled by calling `numpy.random.seed` .

Changes in CIAO

This replaces the seed argument for certain routines and the need to explictly call `numpy.random.seed` in others.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023